import java.io.*;
//import Numeric;

class Matrix1
{
  public static void main(String args[]) throws IOException
  {
  //Eigen Value calculations
  double c[][];
  c=new double[5][5];
  double a[][]={{-19,-4.7,6.45},{-4.7,4.6,11.8},  {6.45,11.8,-8.3}};
  System.out.println("Original Matrix : ");
  System.out.println(Matrix.toString(a));
  complex c1[];
  int n=a.length;
  c1=new complex[n];
  c1=Matrix.eigenValueC(a);
  System.out.println("Complex Eigenvalue vector : ");
  System.out.println(Matrix.toStringT(c1));
  }
}
